Create a sponsor and attach to the event (Studio entity builder)
curl --request POST \
--url https://api.eventlink.co/api/v1/dashboard/events/{eventId}/sponsors \
--header 'Content-Type: application/json' \
--cookie better-auth.session_token= \
--data '
{
"name": "<string>",
"website": "<string>",
"logo": "<string>",
"showcaseSlug": "<string>",
"showcaseTitle": "<string>"
}
'import requests
url = "https://api.eventlink.co/api/v1/dashboard/events/{eventId}/sponsors"
payload = {
"name": "<string>",
"website": "<string>",
"logo": "<string>",
"showcaseSlug": "<string>",
"showcaseTitle": "<string>"
}
headers = {
"cookie": "better-auth.session_token=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'better-auth.session_token=', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
website: '<string>',
logo: '<string>',
showcaseSlug: '<string>',
showcaseTitle: '<string>'
})
};
fetch('https://api.eventlink.co/api/v1/dashboard/events/{eventId}/sponsors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"eventId": "<string>",
"sponsorId": "<string>",
"name": "<string>",
"website": "<string>",
"logo": "<string>",
"created": true,
"attached": true
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}dashboard
Create a sponsor and attach to the event (Studio entity builder)
POST
/
api
/
v1
/
dashboard
/
events
/
{eventId}
/
sponsors
Create a sponsor and attach to the event (Studio entity builder)
Authorizations
Better Auth session cookie.
Path Parameters
Body
application/json